/**
 * 
 */
package edu.odu.cs.codeAnnotation;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.StringReader;
import java.io.StringWriter;

/**
 * main driver for code2html program.
 * 
 * @author zeil
 *
 */
public class Listing2TeX {

    private static BufferedReader input;
    private static BufferedWriter output;
    

    
    
    private static void processArgs(String[] args) throws IOException
    {
        String inputFileName = args[0];
        String outputFileName = inputFileName + ".tex";

        input = new BufferedReader(new FileReader(inputFileName));
        output = new BufferedWriter(new FileWriter(outputFileName)); 

    }

    public static String test (String inputText) throws IOException
    {
        input = new BufferedReader(new StringReader(inputText));
        StringWriter strOutput = new StringWriter();
        output = new BufferedWriter(strOutput);
        ListingTeXScanner scanner = new ListingTeXScanner(input);
        scanner.output = output;
        scanner.yylex();
        scanner.flush();
        output.close();
        return strOutput.toString();
    }
    
    public static void generateTeX() throws IOException
    {
        ListingTeXScanner scanner = new ListingTeXScanner(input);
        scanner.output = output;
        scanner.yylex();
        scanner.flush();
        output.close();
    }
    
    /**
     * @param args
     * @throws IOException 
     */
    public static void main(String[] args) throws IOException {
        processArgs(args);
        generateTeX();
    }

}
